/*


    /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\
   /                                                                      \
   \      ___   _____   _____   _   __           _____   _____  __  __    /
   /     |_  | |___  | |  _  | | | / /          |  _  \ |  _  | \ \/ /    \
   \       | |  ___| | | | |_| | |/ /           | |_/ / | | | |  \  /     /
   /    _  | | |  _  | | |  _  |   <    in the  |  _ <  | | | |   ><      \
   \   | |_| | | |_| | | |_| | | |\ \           | |_| \ | |_| |  /  \     /
   /   |_____| |_____| |_____| |_| \_\          |_____/ |_____| /_/\_\    \
   \                                                                      /
   /                                                                      \
   \                                                                      /
   /             C    O    M    P    U    T    I    N    G                \
   \                                                                      /
    \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/

*/


//============================================================================
// Module  : TIMER HEADER
// Contents: timer and event controlling
// Date    : 06.09.1997
// Updates : (none)
//============================================================================

//"public" methods:

//convertion tool from Hz to Milliseconds (>= 1)
#define HzToMs(x) (1000/x)

//convertion tool from Milliseconds to Hz (1-1000)
#define MsToHz(x) (1000/x)

//convertion tool from Milliseconds to Seconds
#define MsToS(x) (x/1000)

//convertion tool from Seconds to Milliseconds
#define SToMs(x) (1000*x)

//startup timer
void mInstallTimer();

//shutdown timer
void mUninstallTimer();

//start a timer count
void mTimerStart();

//get elapsed time since last mTimerStart in milliseconds
DWORD mTimerStop();

//wait for milliseconds
void mDelay(DWORD wwDelayMs);

//create a new timed event
int mCreateEvent(void (*pfnAction)(), int nMilliseconds);

//change a previously created event time
void mChangeEventTime(int nHandler, int nMilliseconds);

//cancel a previously created timed event
int mDestroyEvent(int nHandler);
